
package org.apache.ws.resource.example.filesystem;

import javax.xml.namespace.QName;
import java.io.Serializable;

/**
 * **** NOTE: This file will not be overwritten during generation ****
 *
 * Home for Filesystem WS-Resources.
 */
public class FilesystemHome
        extends AbstractFilesystemHome
        implements Serializable
{

    private static final String LVOL1_ID = "/dev/vg00/lvol1";
    private static final String LVOL2_ID = "/dev/vg00/lvol2";

    /**
     * Create and add two resource instances.
     *
     * @throws Exception on error
     */
    public void init() throws Exception
    {
        super.init();
        add( createInstance( LVOL1_ID ) );
        add( createInstance( LVOL2_ID ) );
    }

    /**  The service endpoint name as registered with the SOAP Platform.  This is useful for building EPR's. **/
    public static final QName SERVICE_NAME = javax.xml.namespace.QName.valueOf("{http://ws.apache.org/resource/example/filesystem}filesystem");

    /** The management PortType associated with this resource. This is useful for building EPR's.**/
    public static final QName PORT_TYPE = javax.xml.namespace.QName.valueOf("{http://ws.apache.org/resource/example/filesystem}FileSystemPortType");

    /** The WSDL Port name associated with the resource. This is useful for building EPR's. **/
    public static final String PORT_NAME = "filesystem";

    /** The name of the resource key for this resource. **/
    public static final QName RESOURCE_KEY_NAME = javax.xml.namespace.QName.valueOf("{http://ws.apache.org/resource/example/filesystem}ResourceIdentifier");

        /**
     * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
     */
     public static final org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl SPEC_NAMESPACE_SET = new org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl();
        /** A constant for the JNDI Lookup name for this home. **/
    public static final String  HOME_LOCATION =
     org.apache.ws.resource.JndiConstants.CONTEXT_NAME_SERVICES + "/" + SERVICE_NAME.getLocalPart() + "/" + org.apache.ws.resource.JndiConstants.ATOMIC_NAME_HOME;

    public QName getServiceName()
    {
        return SERVICE_NAME;
    }

    public QName getPortType()
    {
        return PORT_TYPE;
    }

    public String getServicePortName()
    {
        return PORT_NAME;
    }

    public QName getResourceKeyNameQName()
    {
        return RESOURCE_KEY_NAME;
    }

    public org.apache.ws.resource.properties.NamespaceVersionHolder getNamespaceVersionHolder()
    {
        return SPEC_NAMESPACE_SET;
    }

}
